CREATE TABLE gl_fun_infolet_configs (
    USER_GUID                VARCHAR2(256),
    LEDGER_ID                NUMBER(18, 0),
    INFOLET_NAME             VARCHAR2(320),
    THRESHOLD_NAME           VARCHAR2(320),
    THRESHOLD_VALUE          VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    USER_GUID                VARCHAR2(256),
    LEDGER_ID                NUMBER(18, 0),
    INFOLET_NAME             VARCHAR2(320),
    THRESHOLD_NAME           VARCHAR2(320),
    THRESHOLD_VALUE          VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_fun_infolet_configs PRIMARY KEY (USER_GUID, LEDGER_ID, INFOLET_NAME, THRESHOLD_NAME, USER_GUID, LEDGER_ID, INFOLET_NAME, THRESHOLD_NAME)
);
